#ifndef EUCALYPTUS_ERRORS_H
#define EUCALYPTUS_ERRORS_H

/*
 * Eucalyptus
 * by Paul A. Schifferer
 *
 * Module: errors.h
 *   	 Error numbers
 *
 * Copyright  1997 Isengard Developments
 * All rights reserved.
 */

// error defines
enum
{
	err_OKAY=0,

	err_CANCELLED=30,
	err_UPDATEDISPLAY,
	err_REDODISPLAY,
	err_ABORTED,
	err_CLOSEWINDOW,
	err_WINDOWHASCHANGED,
	err_INDEXHASCHANGED,
	err_EMPTYFILE,
	err_ALREADYOPENED,
	err_NEWNAME,

	err_GENERALFAILURE=50,
	err_INVALIDVERSION,
	err_INVALIDPREFSVERSION,
	err_UNABLETOSTARTNOTIFY,
	err_UNABLETOOPENFILE,
	err_INSUFFICIENTMEMORY,
	err_INVALIDPREFSITEM,
	err_INVALIDPREFSDATA,
	err_UNABLETOSAVEFILE,
	err_UNABLETOREADFILE,
	err_NOMEMORYALLOCATED,
	err_UNABLETOOPENWINDOW,
	err_UNABLETOCREATETHREAD,
	err_THREADALREADYRUNNING,
	err_NOFOLDERASSOCIATED,
	err_ENDOFLINE,
	err_UNABLETOLOCKDIR,
	err_INCOMPATIBLEMIMEVERSION,
	err_UNEXPECTEDENDOFFILE,
	err_BUFFEROVERFLOW,
	err_UNABLETOLOCKSCREEN,
	err_UNABLETOOPENLOCALE,
	err_CORRUPTEDFOLDERINDEX,
	err_UNABLETOREADMSG,
	err_NOTEXT,
	err_UNABLETOWRITEFILE,
	err_UNABLETOSTARTPROC,
	err_UNABLETOOPENFONT,
	err_NODATATYPES,
	err_INVALIDBASE64CHAR,
	err_UNABLETOPROCESSMSG,
	err_NOFILENAME,
	err_UNABLETOVERIFYSIG,
	err_NOPRIMARYRECIPIENTS,
	err_UNABLETOGETFOLDER,
	err_NOUSERINFO,
	err_UNABLETOGETDATE,
	err_UNABLETOCREATEDIR,
	err_UNABLETOCHANGEDIR,
	err_UNABLETOSHOWMSG,
	err_INVALIDMSG,
	err_INCOMPATIBLEVERSION,
	err_UNABLETOGETMSGHEADERS,
	err_UNABLETOEXECUTECMD,
	err_EXTERNALCMDERROR,
	err_UNABLETOOPENCONSOLE,
	err_INVALIDPATTERN,
	err_UNABLETOCREATEMENUS,
	err_VERSIONTOOOLD,
	err_VERSIONTOONEW,
	err_MAILXMSNERROR,
	err_UNABLETOCREATEFILE,
	err_INVALIDHEADER,
	err_UNABLETOLOCKFOLDER,
	err_UNABLETOLOADMODULE,
	err_UNABLETOCREATEFOLDER,
	err_VERSIONINCORRECT,
	err_INVALIDCOMMAND,
	err_OVERFLOW,
	err_UNKNOWNMSGPART,
	err_NOPASSPHRASE,
	err_UNABLETOCREATEMSG,
	err_UNABLETOCREATESPEEDBAR,
	err_OUTOFDATE,
	err_WRONGLIBRARYREV,
	err_POSITIONNOTKNOWN,
	err_INVALIDPOSITION,
	err_BADKEYFILE,
	err_UNABLETOCONNECT,
	err_UNABLETOGETHOSTNAME,
	err_UNABLETOCREATESOCKET,
	err_UNABLETOOPENLIB,
};

#endif /* EUCALYPTUS_ERRORS_H */
