/*
 * Eucalyptus
 * by Paul A. Schifferer
 *
 * Module: list.c
 *   	 List management wrappers for GLib lists
 *
 * Copyright  1997-9 Isengard Developments
 * All rights reserved.
 */

#include <stdio.h>
#include "list.h"

void list_init(struct List *list)
{
	list->List = NULL;
	list->ListEnd = NULL;
}

GList *list_append(struct List *list, gpointer data)
{
	g_return_val_if_fail(list != NULL, NULL);
	g_return_val_if_fail(data != NULL, NULL);
	
	if(list->List)
	{
		list->List = g_list_append(list->ListEnd, data);
	}
	else
	{
		list->ListEnd = list->List = g_list_append(list->List, data);
	}
	
	return list->List;
}

GList *list_remove(struct List *list, gpointer data)
{
	g_return_val_if_fail(list != NULL, NULL);
	g_return_val_if_fail(data != NULL, NULL);

	list->List = g_list_remove(list->List, data);
	list->ListEnd = g_list_last(list->List);
	
	return list->List;
}
