#ifndef MATCH_H
#define MATCH_H

/*
 * match.h
 * by Paul A. Schifferer
 *
 * File matching header
 *
 * Copyright  1997-9 Isengard Developments
 * All rights reserved.
 */

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <dirent.h>
#include <glib.h>

struct MatchState
{
	gchar *dirname;
	gchar *meta;		// meta data for the file
	struct dirent **dirents;
	struct dirent *entry;
	struct stat *st;
	glong count;
	glong num;
};

enum
{
	MATCH_FUNC_MSG=1,
	MATCH_FUNC_NEW_MSG,
	MATCH_FUNC_ADR,
	MATCH_FUNC_MAX
};

int select_msg_file(const struct dirent *);
int select_new_msg_file(const struct dirent *);
int select_addr_file(const struct dirent *);
glong match_first(struct MatchState *, gchar *, int (*)(const struct dirent *));
glong match_next(struct MatchState *);
void match_end(struct MatchState *);

#endif /* MATCH_H */