/*
 * Eucalyptus
 * by Paul A. Schifferer
 *
 * Module: prefs_addrbook.c
 *   	 Prefs layout code
 *
 * Copyright  1997-9 Isengard Developments
 * All rights reserved.
 */

#include <string.h>

#include "eucalyptus.h"

GtkWidget *prefs_setup_addrbook(void)
{
	GtkWidget *page = NULL, *frame, *table;

	page = gtk_vbox_new(FALSE, 0);

	frame = gtk_frame_new(_("General"));
	{
		table = gtk_table_new(1, 2, FALSE);
		{
			guint top = 0;

		}
		gtk_container_add(GTK_CONTAINER(frame), table);
	}
	gtk_box_pack_start(GTK_BOX(page), frame, FALSE, TRUE, 2);

	frame = gtk_frame_new(_("Window"));
	{
		table = gtk_table_new(3, 4, FALSE);
		{
			guint top = 0;

			prefs_control.AddrWindowLeft = gtk_spin_button_new(GTK_ADJUSTMENT(prefs_control.adj.AddrWindowLeft), 1, 0);
			gtk_spin_button_set_value(GTK_SPIN_BUTTON(prefs_control.MainWindowLeft), prefs_control.Prefs->AddrWindowLeft);
			gtk_signal_connect(GTK_OBJECT(prefs_control.AddrWindowLeft), "changed",
					GTK_SIGNAL_FUNC(prefs_setting_addrwindowleft_cb), NULL);
			prefs_layout_table_item(table, prefs_control.AddrWindowLeft, _("Left"), &top, 0);
			top--;

			prefs_control.AddrWindowTop = gtk_spin_button_new(GTK_ADJUSTMENT(prefs_control.adj.AddrWindowTop), 1, 0);
			gtk_spin_button_set_value(GTK_SPIN_BUTTON(prefs_control.MainWindowLeft), prefs_control.Prefs->AddrWindowTop);
			gtk_signal_connect(GTK_OBJECT(prefs_control.AddrWindowTop), "changed",
					GTK_SIGNAL_FUNC(prefs_setting_addrwindowtop_cb), NULL);
			prefs_layout_table_item(table, prefs_control.AddrWindowTop, _("Top"), &top, 2);

			prefs_control.AddrWindowWidth = gtk_spin_button_new(GTK_ADJUSTMENT(prefs_control.adj.AddrWindowWidth), 1, 0);
			gtk_spin_button_set_value(GTK_SPIN_BUTTON(prefs_control.MainWindowLeft), prefs_control.Prefs->AddrWindowWidth);
			gtk_signal_connect(GTK_OBJECT(prefs_control.AddrWindowWidth), "changed",
					GTK_SIGNAL_FUNC(prefs_setting_addrwindowwidth_cb), NULL);
			prefs_layout_table_item(table, prefs_control.AddrWindowWidth, _("Width"), &top, 0);
			top--;

			prefs_control.AddrWindowHeight = gtk_spin_button_new(GTK_ADJUSTMENT(prefs_control.adj.AddrWindowHeight), 1, 0);
			gtk_spin_button_set_value(GTK_SPIN_BUTTON(prefs_control.MainWindowLeft), prefs_control.Prefs->AddrWindowHeight);
			gtk_signal_connect(GTK_OBJECT(prefs_control.AddrWindowHeight), "changed",
					GTK_SIGNAL_FUNC(prefs_setting_addrwindowheight_cb), NULL);
			prefs_layout_table_item(table, prefs_control.AddrWindowHeight, _("Height"), &top, 2);

			prefs_control.SnapshotAddr = gtk_button_new_with_label(_("Snapshot"));
			gtk_signal_connect(GTK_OBJECT(prefs_control.SnapshotAddr), "clicked",
					GTK_SIGNAL_FUNC(prefs_setting_snapshotaddr_cb), NULL);
			gtk_table_attach(GTK_TABLE(table), prefs_control.SnapshotAddr,
					1, 2, top, top + 1,
					GTK_FILL, GTK_FILL,
					0, 0);
		}
		gtk_container_add(GTK_CONTAINER(frame), table);
	}
	gtk_box_pack_start(GTK_BOX(page), frame, FALSE, TRUE, 2);

	return page;
}

void prefs_setting_addrwindowleft_cb(GtkWidget *widget, gpointer data)
{
	prefs_control.Prefs->AddrWindowLeft = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget));
}

void prefs_setting_addrwindowtop_cb(GtkWidget *widget, gpointer data)
{
	prefs_control.Prefs->AddrWindowTop = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget));
}

void prefs_setting_addrwindowwidth_cb(GtkWidget *widget, gpointer data)
{
	prefs_control.Prefs->AddrWindowWidth = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget));
}

void prefs_setting_addrwindowheight_cb(GtkWidget *widget, gpointer data)
{
	prefs_control.Prefs->AddrWindowHeight = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget));
}

void prefs_setting_snapshotaddr_cb(GtkWidget *widget, gpointer data)
{
}


