/*
 * prune.c
 * by Paul A. Schifferer
 *
 * String pruning functions
 *
 * Copyright  1997-9 Isengard Developments
 * All rights reserved.
 */

#include <ctype.h>

#include "prune.h"

gchar *strip_leading_blanks(gchar *str)
{
	gchar *p = str;
	
	while(*p && isspace(*p))
		p++;
		
	return p;
}

void strip_trailing_blanks(gchar *str)
{
	glong l = strlen(str) - 1;
	gchar *p;
	
	p = &str[l];
	
	while(p >= str && isspace(*p))
		*p-- = 0;
}

gchar *strip_whitespace(gchar *str)
{
	strip_trailing_blanks(str);
	return strip_leading_blanks(str);
}
