#ifndef EUCALYPTUS_SMTP_H
#define EUCALYPTUS_SMTP_H

/*
 * Eucalyptus
 * by Paul A. Schifferer
 *
 * Header: smtp.h
 *         Header info for smtp.c
 *
 * Copyright  1997 Isengard Developments
 * All rights reserved.
 */

struct SMTPControl
{
	struct {
	     GtkWidget	     *Window,
     				*Layout,
                         *MsgList,
                         *Status,
                         *Progress,
                         *Send,
                         *Stop,
                         *Update;
     } w;
     struct SMTPEntry    *Current;
	struct sockaddr_in	 Server;
	int				 Sock;
	gint				 Timer;
     glong                Flags,
                          Size,
                          Level;
	gboolean			 Connected;
	struct List		 Outgoing,
					 MsgList;
	struct {
		pthread_t		 Thread;
		pthread_attr_t	 Attr;
		pthread_mutex_t Mutex;
	} th;
	struct {
	     gchar           Status[301];
     } t;
};

// Flags
#define SCF_STOP              (1L << 0)
#define SCF_SUSPEND           (1L << 1)
#define SCF_CLOSEWINDOW       (1L << 2)
#define SCF_OPENWINDOW        (1L << 3)
#define SCF_EDITOUTGOING      (1L << 4)
#define SCF_EXPLICITOPEN      (1L << 5)
#define SCF_USINGFULL         (1L << 6)
#define SCF_USINGSUMMARY      (1L << 7)
#define SCF_LOGGING           (1L << 8)
#define SCF_KILLED            (1L << 9)

typedef struct _QueuedMail QueuedMail;
struct _QueuedMail
{
	gchar priority;
	glong size;
	gchar to[201],
		 date[51],
		 subject[201],
		 status[51],
		 id[301];
	gchar flags,
		 *size_str;
};

// Status flags
#define SESF_NONE             (0)
#define SESF_SENDING          (1)
#define SESF_SENT             (2)
#define SESF_UNABLETOSEND     (3)

// Priority types
#define SPT_NORMAL            (0)
#define SPT_LOW               (1)
#define SPT_HIGH              (2)

// Flags for ParseAddressees
#define PA_FULL               (1 << 0)

#endif /* EUCALYPTUS_SMTP_H */
