/*
 * Eucalyptus
 * by Paul A. Schifferer
 *
 * Module: string.c
 *   	 String utility/manipulation functions
 *
 * Copyright  1997-9 Isengard Developments
 * All rights reserved.
 */

#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <glib.h>

#include "_string.h"

void remove_string(gchar *str, gchar *substr)
{
	glong l;
	gchar *c;

	while(c = strstr(str, substr))
	{
		l = strlen(substr);
		strcpy(c, c + l);
	}
}

void insert_string(gchar *str, gchar *ins_str, glong str_len)
{
	gchar *tstr = g_strdup(str);

	strncpy(str, ins_str, str_len - 1);
	strncat(str, tstr, str_len - 1);
	
	g_free(tstr);
}

gchar *stristr(gchar *str, gchar *substr)
{
	glong l, x = 0, l2;

	l = strlen(substr);
	l2 = strlen(str);

	for(x=0; x<l2; x++)
	{
		if(!strncasecmp(str + x, substr, l))
			return(str + x);
	}

	return(NULL);
}

#if 0
gchar *string_set(gchar *str, gchar *set)
{
	gchar *c, cbuf[5];

	c = str;
	while(*c)
	{
		sprintf(cbuf, "%c", *c);
		if(1 == stcis(cbuf, set))
		{
			return(c);
		}

		c++;
	}

	return(NULL);
}
#endif

